<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <xsl:for-each select="/contest_day">
    <html>
      <title><xsl:value-of select="number"/>, <xsl:value-of select="result_type"/> NOM_COMPETITION</title>
    <body>
<p>
MODIFIEZ FICHIER "DAILY.XSL" POUR PERSONNALISER LE RENDU
</p>
      <center>
      <table border="0">
        <tr>
          <td align="center"><font face="Verdana" size="3"><b>NOM_COMPETITION</b></font></td>
        </tr>
        <tr>
          <td align="center"><font face="Tahoma" size="2">LIEU_COMPETITION, DATES_COMPETITION</font></td>
        </tr>
        <tr><td></td></tr>
        <tr>
          <td align="center"><font face="Tahoma" size="2"><b>CLASSE_COMPETITION</b></font></td>
        </tr>
        <tr><td></td></tr>
        <tr><td></td></tr>
      </table>
      <table border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td colspan="14"><font face="Tahoma" size="2"><b><xsl:value-of select="number"/>, <xsl:value-of select="date"/>, <xsl:value-of select="result_type"/></b></font></td>
        </tr>
        <tr>
          <td colspan="14"><font face="Tahoma" size="2"><xsl:value-of select="script"/><xsl:if test="string-length(/contest_day/tasktime) &gt; 0">, <xsl:value-of select="/contest_day/tasktime"/></xsl:if></font></td>
        </tr>
        <tr>
          <td colspan="14"><font face="Tahoma" size="2"><xsl:value-of select="turnpoints"/></font></td>
        </tr>
        <tr>
          <td colspan="14"><font face="Tahoma" size="2">Longueur du circuit <xsl:value-of select="length"/></font></td>
        </tr>
        <tr>
          <td colspan="14">
            <font face="Tahoma" size="1">
              <xsl:if test="string-length(/contest_day/info1) &gt; 0"><xsl:value-of select="info1"/></xsl:if>
              <xsl:if test="string-length(/contest_day/info2) &gt; 0">, <xsl:value-of select="info2"/></xsl:if>
              <xsl:if test="string-length(/contest_day/info3) &gt; 0">, <xsl:value-of select="info3"/></xsl:if>
              <xsl:if test="string-length(/contest_day/info4) &gt; 0">, <xsl:value-of select="info4"/></xsl:if>
            </font>
          </td>
        </tr>
        <tr bgcolor="#94ABF6">
          <th><font face="Tahoma" size="2">Place</font></th>
          <th><font face="Tahoma" size="2">No concours</font></th>
          <th><font face="Tahoma" size="2">Pilote</font></th>
          <th><font face="Tahoma" size="2">Club</font></th>
          <th><font face="Tahoma" size="2">Planeur</font></th>
          <th><font face="Tahoma" size="2">Dpart</font></th>
          <th><font face="Tahoma" size="2">Arrive</font></th>
          <th><font face="Tahoma" size="2">Dure</font></th>
                <td></td>
          <th><font face="Tahoma" size="2">km/h</font></th>
                <td></td>
          <th><font face="Tahoma" size="2">km</font></th>
          <th><font face="Tahoma" size="2">Points</font></th>
          <th><font face="Tahoma" size="2">Penalits</font></th>
        </tr>
        <xsl:for-each select="pilot">
        <xsl:sort select="points" data-type="number" order="descending"/>
          <xsl:choose>
            <xsl:when test="position() mod 2 = 0">
              <tr bgcolor="#F6F6F6">
                <td><font face="Tahoma" size="2"><xsl:number value="position()"/>.</font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="glider_id"/></font></td>
                <td><font face="Tahoma" size="2"><b><xsl:value-of select="name"/></b></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="country"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="glider_type"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="start"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="finish"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="duration"/></font></td>
                <td></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="speed"/></font></td>
                <td></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="distance"/></font></td>
                <td align="right"><font face="Tahoma" size="2"><b><xsl:value-of select="points"/></b></font></td>
                <td align="right"><font face="Tahoma" size="2"><xsl:value-of select="penalty"/></font></td>
              </tr>
            </xsl:when>
            <xsl:otherwise>
              <tr>
                <td><font face="Tahoma" size="2"><xsl:number value="position()"/>.</font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="glider_id"/></font></td>
                <td><font face="Tahoma" size="2"><b><xsl:value-of select="name"/></b></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="country"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="glider_type"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="start"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="finish"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="duration"/></font></td>
                <td></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="speed"/></font></td>
                <td></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="distance"/></font></td>
                <td align="right"><font face="Tahoma" size="2"><b><xsl:value-of select="points"/></b></font></td>
                <td align="right"><font face="Tahoma" size="2"><xsl:value-of select="penalty"/></font></td>
              </tr>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:for-each>
        <xsl:for-each select="comment">
          <tr><td colspan="14"><font face="Tahoma" size="1"><xsl:value-of select="description"/></font></td></tr>
        </xsl:for-each>
        <tr><td align="right" colspan="14"><font face="Tahoma" size="1"><xsl:if test="string-length(/contest_day/footnote) &gt; 0"><xsl:value-of select="/contest_day/publishtime"/></xsl:if></font></td></tr>
      </table>
      <br/>
      <img><xsl:attribute name="src">cu-logo16.gif</xsl:attribute></img> <font face="Tahoma" size="1"> Classement ralis par SeeYou</font>
    </center>
    </body>
    </html>  
  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>